<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.StaffLevelsMapper">

<!--    <resultMap id="BaseResultMap" type="com.ssm.manage.entity.StaffLevels">-->
<!--        <result property="id" column="id"/>-->
<!--        <result property="staffNum" column="staff_num"/>-->
<!--        <result property="levels" column="levels"/>-->
<!--        <result property="staffId" column="staff_id"/>-->
<!--    </resultMap>-->

    <sql id="Base_Column_List">
        id
        , staff_num, levels, staff_id
    </sql>

<!--    <select id="queryAll" resultMap="BaseResultMap">-->
<!--        select-->
<!--        <include refid="Base_Column_List"></include>-->
<!--        from staff_levels-->
<!--        <where>-->
<!--            <if test="id != null">-->
<!--                and id = #{id}-->
<!--            </if>-->
<!--            <if test="staffNum != null and staffNum != ''">-->
<!--                and staff_num = #{staffNum}-->
<!--            </if>-->
<!--            <if test="levels != null">-->
<!--                and levels = #{levels}-->
<!--            </if>-->
<!--            <if test="staffId != null">-->
<!--                and staff_id = #{staffId}-->
<!--            </if>-->
<!--        </where>-->
<!--    </select>-->


</mapper>
